Name:           ktable
Version:        2.1.3
Release:        3.20081104cvs
Summary:        Custom SWT Table Widget for Java
License:        EPL
Group:          Development/Tools
Url:            http://ktable.sourceforge.net/
# This was obtained on 2008/11/04 using the following commands:
#   cvs -d :pserver:anonymous@ktable.cvs.sourceforge.net:/cvsroot/ktable login
#   cvs -d :pserver:anonymous@ktable.cvs.sourceforge.net:/cvsroot/ktable co de.kupzog.KTable
Source0:        %{name}-20081104.tbz
Source1:        %{name}-build.xml

Requires: java >= 0:1.4.2

BuildRequires:  ant
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  libswt3-gtk2, eclipse-rcp
# For iconv
BuildRequires:  glibc-common
BuildArch:      noarch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
KTable is a custom SWT table widget that provides a flexible grid of cells
to display data. Since it is custom-drawn, it does not have the
restrictions of the native SWT Table control.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
%description javadoc
Documentation for the ktable table widget

%prep
%setup -q -n de.kupzog.KTable
cp %{SOURCE1} ./build.xml
cd src/de/kupzog/ktable
iconv -f ISO88591 -t UTF8 KTableActionHandler.java > tmp.utf8
mv tmp.utf8 KTableActionHandler.java

%build
ant

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_javadocdir}/
cp -r docs/api ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p %{name}.jar  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
%add_to_maven_depmap de.kupzog.ktable %{name} %{version} JPP %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc epl.txt
%{_javadir}/*.jar
%config(noreplace) %{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}

%changelog
* Thu Nov  6 2008 Mary Ellen Foster <mefoster at gmail.com> - 2.1.3-3.20081104cvs
- Flag Maven depmap as "config"

* Wed Nov  5 2008 Mary Ellen Foster <mefoster at gmail.com> - 2.1.3-2.20081104cvs
- Add dependency on Eclipse and SWT classes
- Fix encoding of one source file
- Fix cosmetic issues in spec file

* Tue Nov  4 2008 Mary Ellen Foster <mefoster at gmail.com> - 2.1.3-1.20081104cvs
- Initial package
